OpenVDB 12.1.0

Loading...
Searching...
No Matches
Logger.h File Reference

Logging system to collect errors and warnings throughout the different stages of parsing and compilation. More...

`#include "../ast/AST.h"`
`#include <openvdb/version.h>`
`#include <functional>`
`#include <string>`
`#include <unordered_map>`

Go to the source code of this file.

## Classes
class | Logger
| Logger for collecting errors and warnings that occur during AX compilation. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::ax

## Detailed Description

Logging system to collect errors and warnings throughout the different stages of parsing and compilation.

Authors
  Richard Jones